# eric3.Checks.PyLintExecDialog

Module implementing a dialog to show the results of the PyLint run.

### Classes

PyLintExecDialog | Class implementing a dialog to show the results of the PyLint run.

### Functions

None

## PyLintExecDialog

Class implementing a dialog to show the results of the PyLint run.

This class starts a QProcess and displays a dialog that shows the results of the PyLint command process.

### Derived from

PyLintExecForm

### Methods

PyLintExecDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the process finished.
handleReadParseStdout | Private slot to handle the readyReadStdout signal for parseable output.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
handleSave | Private slot to save the report to a file.
openFile | Private slot to handle the doubleClicked signal of the result list.
start | Public slot to start PyLint.
writeReport | Private slot to write the report to a report file.

### PyLintExecDialog (Constructor)

PyLintExecDialog(parent = None)

Constructor

parent
  parent widget of this dialog (QWidget)

### PyLintExecDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### PyLintExecDialog.finish

finish()

Private slot called when the process finished.

It is called when the process finished or the user pressed the button.

### PyLintExecDialog.handleReadParseStdout

handleReadParseStdout()

Private slot to handle the readyReadStdout signal for parseable output.

It reads the output of the process, formats it and inserts it into the message list pane.

### PyLintExecDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

### PyLintExecDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

### PyLintExecDialog.handleSave

handleSave()

Private slot to save the report to a file.

### PyLintExecDialog.openFile

openFile(itm)

Private slot to handle the doubleClicked signal of the result list.

itm
  The listview item that was double clicked.

### PyLintExecDialog.start

start(args, fn, reportFile, ppath)

Public slot to start PyLint.

args
  commandline arguments for documentation programPyLint (QStringList)
fn
  filename or dirname to be processed by PyLint
reportFile
  filename of file to write the report to (string or QString)
ppath
  project path (string or QString)

Returns:
  flag indicating the successful start of the process

### PyLintExecDialog.writeReport

writeReport()

Private slot to write the report to a report file.

Up